package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * L1 - Ordreprocess leverandør
 * "Send ordrebekreftelse"
 * 
 * Event created when order confirmation sent
 * 
 * @author viggo
 */
public class OrderConfirmationSentEvent implements Serializable  {

    private final String supplierOrderId;
    
    public OrderConfirmationSentEvent(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return supplierOrderId;
    }
}
