package com.navarsete.stand012.dummy;

import org.axonframework.commandhandling.annotation.TargetAggregateIdentifier;

/**
 * L2 - Vareleveranse 
 * "Plukke varer"
 *
 * @author xxnavarv
 */
public class PickItemsCommand {

    @TargetAggregateIdentifier
    private final String supplierOrderId;

    public PickItemsCommand(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return this.supplierOrderId;
    }
}
