package com.navarsete.stand012.dummy;

import org.axonframework.commandhandling.annotation.TargetAggregateIdentifier;

/**
 * L2 - Vareleveranse 
 * "Send pakkseddel"
 *
 * @author xxnavarv
 */
public class SendAdvancedShippingNoticeCommand {

    @TargetAggregateIdentifier
    private final String supplierOrderId;

    public SendAdvancedShippingNoticeCommand(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return this.supplierOrderId;
    }
}
