package com.navarsete.stand012.dummy;

import org.axonframework.commandhandling.annotation.TargetAggregateIdentifier;

/**
 * L1 - Ordreprosess leverandør 
 * "Send ordrebekreftelse"
 *
 * @author xxnavarv
 */
public class SendOrderConfirmationCommand {

    @TargetAggregateIdentifier
    private final String supplierOrderId;

    public SendOrderConfirmationCommand(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return this.supplierOrderId;
    }
}
