package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * L1 - Ordreprosess leverandør
 *  "Ordremottak"
 * 
 * Event created when a new order has been received
 * 
 * @author viggo
 */
public class SupplierOrderCreatedEvent implements Serializable {

    private final String supplierOrderId;
    private String description;
    
    public SupplierOrderCreatedEvent(String purchaseOrderId, String description) {
        this.supplierOrderId = purchaseOrderId;
        this.description = description;
    }

    public String getSupplierOrderId() {
        return supplierOrderId;
    }

    public String getDescription() {
        return description;
    }
}
