package com.navarsete.stand012.dummy;


import javax.annotation.Resource;
import org.axonframework.commandhandling.gateway.CommandGateway;
import org.axonframework.saga.annotation.AbstractAnnotatedSaga;

import org.axonframework.saga.annotation.SagaEventHandler;
import org.axonframework.saga.annotation.StartSaga;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author viggo
 */
public class SupplierSaga extends AbstractAnnotatedSaga {
    
    Logger log = LoggerFactory.getLogger(SupplierSaga.class); 
    
    private transient CommandGateway commandGateway;
    private String supplierOrderId;
    private String description;
    
    private String purchaseOrderId;
    
//    @StartSaga
//    @SagaEventHandler(associationProperty = "purchaseOrderId")
//     public void handle(TransportOrderSentEvent event) {
//         supplierOrderId = "supplier-order-id-1"; //+ UUID.randomUUID().toString(); // TODO: Refactor into making GSI-compliant identifiers
//         description = "supplier-description-1"; //+ UUID.randomUUID().toString(); // TODO: Generate meaningful description
//         
//         log.debug("L1 - Starting SupplierSaga for purchaseOrderId '" + event.getPurchaseOrderId() + "' -> '" + supplierOrderId + "' (supplierOrderId)");
//         
//         this.purchaseOrderId = event.getPurchaseOrderId(); // keep track of the purchaseOrderId for this supplierOrderId (should always match)                  
//         
//         commandGateway.send( new CreateSupplierOrderCommand(supplierOrderId, description));
//     }
//     
//     @SagaEventHandler(associationProperty = "supplierOrderId")
//     public void handle(SupplierOrderCreatedEvent event) {
//         log.debug("L1 - Send order confirmation back to wholesaler for supplierOrdreId '" + event.getSupplierOrderId() + "' -> '" + purchaseOrderId + "' (purchaseOrderId)");
//         
//         commandGateway.send( new SendOrderConfirmationCommand(event.getSupplierOrderId()));
//     }     
//     
//     @SagaEventHandler(associationProperty = "purchaseOrderId")
//     public void handle(TransportInformationConfirmedEvent event) {
//         log.debug("L2 - Receive transport order confirmation from supplier for purchaseOrderId '" + event.getPurchaseOrderId() + "' -> '" + supplierOrderId + "' (supplierOrderId)");
//         if(!this.purchaseOrderId.equals(event.getPurchaseOrderId())) {
//             log.error("Received purchaseOrderId '" + event.getPurchaseOrderId() + "' is not equal to purchaseOrderId '" + this.purchaseOrderId + "' associated with SupplierSaga for supplierOrderId '" + this.supplierOrderId + "'");
//             end(); // Ending Suppliersaga since something obviousely is wrong!!
//         }
//         commandGateway.send( new PickItemsCommand(supplierOrderId));
//     }       
//     
//     @SagaEventHandler(associationProperty = "supplierOrderId")
//     public void handle(ItemsPickedEvent event) {
//         log.debug("L2 - Items picked for purchaseOrderId '" + purchaseOrderId + "' -> '" + event.getSupplierOrderId() + "' (supplierOrderId)");
//         
//         commandGateway.send( new RegisterPalletInformationCommand(supplierOrderId));
//     }        
//     
//       @EndSaga
//     @SagaEventHandler(associationProperty = "supplierOrderId")
//     public void handle(PalletInformationRegisteredEvent event) {
//         log.debug("L2 - Pallet information registered for purchaseOrderId '" + purchaseOrderId + "' -> '" + event.getSupplierOrderId() + "' (supplierOrderId)");
//         
//         commandGateway.send( new SendAdvancedShippingNoticeCommand(supplierOrderId));
//     }       

    
    @StartSaga
    @SagaEventHandler(associationProperty = "purchaseOrderId")
     public void handle(TransportOrderSentEvent event) {    
         log.info("************ SupplierSaga handle TransportOrderSentEvent");
     }
     
     
    @Resource
    public void setCommandGateway(CommandGateway commandGateway) {
        log.info("*************************'SET COMMAND GATEWAY!!!!!");
        this.commandGateway = commandGateway;
    }     
}
