package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * L2 - Vareleveranse
 * "Send pakkseddel"
 * 
 * Event created when advanced shipping notice is sent
 * 
 * @author viggo
 */
public class AdvancedShippingNoticeSentEvent implements Serializable  {

    private final String supplierOrderId;
    
    public AdvancedShippingNoticeSentEvent(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return supplierOrderId;
    }
}
