package com.navarsete.stand012.dummy;

import org.axonframework.commandhandling.annotation.TargetAggregateIdentifier;

/**
 * L1 - Ordreprosess leverandør
 * "Ordremottak"
 * 
 * @author xxnavarv
 */
public class CreateSupplierOrderCommand {
    
    @TargetAggregateIdentifier
    private final String purchaseOrderId;
    private String description;
    
    public CreateSupplierOrderCommand(String purchaseOrderId, String description) {
        this.purchaseOrderId = purchaseOrderId;
        this.description = description;
    }
    
    public String getPurchaseOrderId() {
        return this.purchaseOrderId;
    }

    public String getDescription() {
        return description;
    }
}
