package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * L2 - Vareleveranse
 * "Plukke varer"
 * 
 * Event created all items are picked
 * 
 * @author viggo
 */
public class ItemsPickedEvent implements Serializable  {

    private final String supplierOrderId;
    
    public ItemsPickedEvent(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return supplierOrderId;
    }
}
