package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * L2 - Ordreprocess leverandør
 * "Registerere antall pallplasser og palltyper"
 * 
 * Event created when pallet information is registered
 * 
 * @author viggo
 */
public class PalletInformationRegisteredEvent implements Serializable  {

    private final String supplierOrderId;
    
    public PalletInformationRegisteredEvent(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return supplierOrderId;
    }
}
