package com.navarsete.stand012.dummy;

import org.axonframework.commandhandling.annotation.TargetAggregateIdentifier;

/**
 * L2 - Vareleveranse 
 * "Registerere antall pallplasser og palltyper"
 *
 * @author xxnavarv
 */
public class RegisterPalletInformationCommand {

    @TargetAggregateIdentifier
    private final String supplierOrderId;

    public RegisterPalletInformationCommand(String supplierOrderId) {
        this.supplierOrderId = supplierOrderId;
    }

    public String getSupplierOrderId() {
        return this.supplierOrderId;
    }
}
