
package com.navarsete.stand012.dummy;

import org.axonframework.eventhandling.EventBus;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import static org.axonframework.domain.GenericEventMessage.asEventMessage;

/**
 * Simple Example that shows how to Create Saga instances, schedule deadlines and inject resources using Spring.
 *
 * @author Allard Buijze
 * @since 2.0
 */
public class RunSupplierSaga {

    @SuppressWarnings("unchecked")
    public static void main(String[] args) throws InterruptedException {
        System.out.println("YEY");
        ClassPathXmlApplicationContext applicationContext = new ClassPathXmlApplicationContext("spring-context-dummy.xml");

        EventBus eventBus = applicationContext.getBean(EventBus.class);

        eventBus.publish(asEventMessage(new TransportOrderSentEvent("123")));
      
        applicationContext.close();
    }
}
