package com.navarsete.stand012.dummy;

import java.io.Serializable;

/**
 * G2 - Transportbestilling grossist
 * 
 * Event created when transport order is sent
 * 
 * @author viggo
 */
public class TransportOrderSentEvent implements Serializable  {

    private final String purchaseOrderId;
    
    public TransportOrderSentEvent(String purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public String getPurchaseOrderId() {
        return purchaseOrderId;
    }
}
